Predict (async)
Asynchronously call a specific deployment of a chain.
POST
/
deployment
/
{deployment_id}
/
async_run_remote
Asynchronously call a specific deployment of a chain.
curl --request POST \
--url https://model-{model_id}.api.baseten.co/deployment/{deployment_id}/async_run_remote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://model-{model_id}.api.baseten.co/deployment/{deployment_id}/async_run_remote"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://model-{model_id}.api.baseten.co/deployment/{deployment_id}/async_run_remote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}Authorizations
Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.
Path Parameters
The alphanumeric ID of the deployment.
Body
application/json
JSON input matching the chain's run_remote method signature.
Response
Async run remote request enqueued.
The ID of the async request.
Was this page helpful?
Previous
Websocket environmentConnect over WebSocket to the deployment associated with an environment.
Next
⌘I
Asynchronously call a specific deployment of a chain.
